from flush_compiler_caches import flush_all
from generate_bootstrap import bootstrap
import subprocess
import sys

flush_all()

subprocess.check_call([sys.executable, "-m", "pytest"], cwd="state")

bootstrap()

subprocess.check_call([sys.executable, "-m", "pytest"], cwd="kernel")

flush_all()

subprocess.check_call([sys.executable, "-m", "pytest"], cwd="interface/HUTN")

subprocess.check_call([sys.executable, "-m", "pytest", "unit", "-x"])

subprocess.check_call([sys.executable, "-m", "pytest", "integration", "--runslow", "-s", "-v", "-x"])
